# Uses of Interface
org.opensaml.saml.saml2.core.OneTimeUse

Packages that use OneTimeUse
Package
Description
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.

## Uses of OneTimeUse in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return OneTimeUse
Modifier and Type
Method
Description
`OneTimeUse`
Conditions.`getOneTimeUse()`
Gets the OneTimeUse condition for the assertion.

## Uses of OneTimeUse in org.opensaml.saml.saml2.core.impl

Classes in org.opensaml.saml.saml2.core.impl that implement OneTimeUse
Modifier and Type
Class
Description
`class`
`OneTimeUseImpl`
Concrete implementation of `OneTimeUse`.
Methods in org.opensaml.saml.saml2.core.impl that return OneTimeUse
Modifier and Type
Method
Description
`OneTimeUse`
OneTimeUseBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`OneTimeUse`
OneTimeUseBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`OneTimeUse`
ConditionsImpl.`getOneTimeUse()`
Gets the OneTimeUse condition for the assertion.